import Component from '@glimmer/component';
export default class extends Component {
    id: string;
    value: string;
    disabled: boolean;
    required: boolean;
    optional: boolean;
    invalid: boolean;
    errorMessage: string;
    helperText: string;
    set(ev: Event): void;
    logValue(value: string): void;
    validate(ev: Event): void;
}
